Lions vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Uitslag volgt

42–5

Onderlinge duels
7
Lions gewonnen (88%)
1
Gelijk (13%)
0
Dragons RFC gewonnen (0%)
Laatste 8 onderlinge duels, sinds mei 2022
Grootste zege Lions
60–10
18 jan 2025
Laatste 5 duels
- 28 mrt 2026 · United Rugby ChampionshipLions42Dragons RFC528 mrt 2026Lions42–5Dragons RFCUnited Rugby Championship
- 18 jan 2025 · Challenge CupLions60Dragons RFC1018 jan 2025Lions60–10Dragons RFCChallenge Cup
- 13 okt 2024 · United Rugby ChampionshipDragons RFC19Lions2313 okt 2024Dragons RFC19–23LionsUnited Rugby Championship
- 2 dec 2023 · United Rugby ChampionshipLions49Dragons RFC242 dec 2023Lions49–24Dragons RFCUnited Rugby Championship
- 22 jan 2023 · Challenge CupDragons RFC25Lions3022 jan 2023Dragons RFC25–30LionsChallenge Cup
Opstellingen
Gem. leeftijd
26.2
Gem. leeftijd
27.3
Lions
- 1SJ Kotze(23)
- 2PJ Botha(28)
- 3RF Schoeman(23)
- 4Ettienne Oosthuizen(33)
- 5Reinhard Nothnagel(29)
- 6Sibabalwe Mahashe(22)
- 7Ruan Venter(23)
- 8Francke Horn(27)
- 9Nico Steyn(24)
- 10Christopher Smith(32)
- 11Erich Cronjé(29)
- 12Bronson Mills(23)
- 13Henco Van Wyk(25)
- 14Angelo Davids(27)
- 15Quan Horn(25)
Wissels
- 16Morne Brandon(25)
- 17Eddie Davids(28)
- 19Ruan Delport(24)
- 20Bathobele Hlekani(21)
- 21Renzo du Plessis(24)
- 23Richard Kriel(26)
Dragons RFC
- 1Rodrigo Martinez(28)
- 2Brodie Coghlan(25)
- 3Christian Coleman(28)
- 4Seb Davies(30)
- 5Ben Carter(25)
- 6Ryan Woodman(22)
- 7Thomas Young(34)
- 8Aaron Wainwright(29)
- 9Niall Armstrong(27)
- 10Angus O'Brien(32)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fine Inisi(28)
- 14Jared Rosser(28)
- 15Huw Anderson(22)
Wissels
- 16Elliot Dee(32)
- 17Jordan Morris(22)
- 18Owain James(21)
- 19Matthew Screech(33)
- 20Harrison Keddie(30)
- 21Rhodri Williams(33)
- 23Fetuli Paea(32)